package com.hai.service;

import com.hai.entity.HighGoldRec;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description: 金币记录
 * @Date: 2021/3/27 10:01
 */
public interface HighGoldRecService {

    /**
     * @Author 胡锐
     * @Description 增加记录
     * @Date 2021/3/27 10:02
     **/
    void insertGoldRec(HighGoldRec highGoldRec);


    /**
     * @Author 胡锐
     * @Description 查询记录
     * @Date 2021/3/27 10:03
     **/
    List<HighGoldRec> getGoldRec(Map<String, Object> map);

    /**
     * @Author Sum1Dream
     * @name queryGold.java
     * @Description // 查询金币使用统计
     * @Date 15:28 2021/9/22
     * @Param [map]
     * @return java.util.Map<java.lang.Long,java.lang.Long>
     **/
    List<Map<Long , Long> > queryGold(Map<String, Object> map);
}
